#!/bin/sh

echo exiftool version check!
exiftool -ver
if [ $? -gt 0 ]; then
    echo Please install Exiftool[https://exiftool.org/install.html] before running this script !
    exit 1
fi
out_path=$1/lr/
out_path_l=$1/lr/l/
out_path_r=$1/lr/r/
mkdir $out_path
mkdir $out_path_l
mkdir $out_path_r
in_l_path=$1/*
in_r_path=$2/*
l_files=`find $in_l_path -maxdepth 0 -type f`
r_files=`find $in_r_path -maxdepth 0 -type f`
l_fileary=()
r_fileary=()

for file in $l_files;
do
    l_fileary+=("$file")
done

for file in $r_files;
do
    r_fileary+=("$file")
done

for ((i = 0; i < ${#l_fileary[@]}; i++)) {
    echo -----------------------------------------------------------------------------
    echo $((i+1)) / ${#l_fileary[@]} 　-- Ctrl+C to abort --
    $(dirname $0)/StereoAutoAlign ${l_fileary[i]} ${r_fileary[i]} 10 ${out_path_l}$(basename ${l_fileary[i]}) ${out_path_r}$(basename ${l_fileary[i]})
    echo Copy Exif infomations
    exiftool -TagsFromFile ${l_fileary[i]} -overwrite_original -all:all ${out_path_l}$(basename ${l_fileary[i]})
    exiftool -TagsFromFile ${r_fileary[i]} -overwrite_original -all:all ${out_path_r}$(basename ${l_fileary[i]})
    echo Reset orientation tag
    exiftool -Orientation=1 -n -overwrite_original $out_path_l$(basename ${l_fileary[i]})
    exiftool -Orientation=1 -n -overwrite_original $out_path_r$(basename ${l_fileary[i]})
    echo Left image output  --- $out_path_l$(basename ${l_fileary[i]})
    echo Right image output  --- $out_path_r$(basename ${l_fileary[i]})
}

