#!/bin/sh

echo exiftool version check!
exiftool -ver
if [ $? -gt 0 ]; then
    echo Please install Exiftool[https://exiftool.org/install.html] before running this script !
    exit 1
fi
mpo_path=$1/
out_path=$1/sbs/
mpo_files=`find $mpo_path*.mpo -maxdepth 0 -type f`
mpo_files2=`find $mpo_path*.MPO -maxdepth 0 -type f`
l_temp="tmp_mpo_l.jpg"
r_temp="tmp_mpo_r.jpg"
mpo_fileary=()

for file in $mpo_files;
do
    mpo_fileary+=("$file")
done

for file in $mpo_files2;
do
    mpo_fileary+=("$file")
done

for ((i = 0; i < ${#mpo_fileary[@]}; i++)) {
    echo -----------------------------------------------------------------------------
    echo $((i+1)) / ${#mpo_fileary[@]} 　-- Ctrl+C to abort --
    tmpname="$(basename ${mpo_fileary[i]} .MPO)"
    fname="$(basename $tmpname .mpo)"
    exiftool -trailer:all= ${mpo_fileary[i]} -o $out_path$l_temp
    exiftool ${mpo_fileary[i]} -mpimage2 -b > $out_path$r_temp
    $(dirname $0)/StereoAutoAlign $out_path$l_temp $out_path$r_temp 16 $out_path$fname.jpg
    echo Copy Exif infomations
    exiftool -TagsFromFile ${mpo_fileary[i]} -overwrite_original -all:all $out_path$fname.jpg
    echo Reset orientation tag
    exiftool -Orientation=1 -n -overwrite_original $out_path$fname.jpg
    echo SBS image output  --- $out_path$fname.jpg
    rm $out_path$l_temp
    rm $out_path$r_temp
}

