#!/bin/sh

echo exiftool version check!
exiftool -ver
if [ $? -gt 0 ]; then
    echo Please install Exiftool[https://exiftool.org/install.html] before running this script !
    exit 1
fi
out_path=$1/lr/
out_path_l=$1/lr/l/
out_path_r=$1/lr/r/
mkdir $out_path
mkdir $out_path_l
mkdir $out_path_r
in_path=$1/*
files=`find $in_path -maxdepth 0 -type f`
fileary=()

for file in $files;
do
    fileary+=("$file")
done

for ((i = 0; i < ${#fileary[@]}; i++)) {
    echo -----------------------------------------------------------------------------
    echo $((i+1)) / ${#fileary[@]} 　-- Ctrl+C to abort --
    $(dirname $0)/StereoAutoAlign ${fileary[i]} 10 ${out_path_l}$(basename ${fileary[i]}) ${out_path_r}$(basename ${fileary[i]})
    echo Copy Exif infomations
    exiftool -TagsFromFile ${fileary[i]} -overwrite_original -all:all ${out_path_l}$(basename ${fileary[i]})
    exiftool -TagsFromFile ${fileary[i]} -overwrite_original -all:all ${out_path_r}$(basename ${fileary[i]})
    echo Reset orientation tag
    exiftool -Orientation=1 -n -overwrite_original $out_path_l$(basename ${fileary[i]})
    exiftool -Orientation=1 -n -overwrite_original $out_path_r$(basename ${fileary[i]})
    echo Left image output  --- $out_path_l$(basename ${fileary[i]})
    echo Right image output  --- $out_path_r$(basename ${fileary[i]})
}

