#!/bin/sh

echo exiftool version check!
exiftool -ver
if [ $? -gt 0 ]; then
    echo Please install Exiftool[https://exiftool.org/install.html] before running this script !
    exit 1
fi
out_path=$1/sbs/
mkdir $out_path
in_path=$1/*
files=`find $in_path -maxdepth 0 -type f`
fileary=()

for file in $files;
do
    fileary+=("$file")
done

for ((i = 0; i < ${#fileary[@]}; i++)) {
    echo -----------------------------------------------------------------------------
    echo $((i+1)) / ${#fileary[@]} 　-- Ctrl+C to abort --
    $(dirname $0)/StereoAutoAlign ${fileary[i]} 10 $out_path$(basename ${fileary[i]})
    echo Copy Exif infomations
    exiftool -TagsFromFile ${fileary[i]} -overwrite_original -all:all $out_path$(basename ${fileary[i]})
    echo Reset orientation tag
    exiftool -Orientation=1 -n -overwrite_original $out_path$(basename ${fileary[i]})
    echo SBS image output  --- $out_path$(basename ${fileary[i]})
}

